<?php 
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

if(!empty($_POST['reparado']) and !empty($_POST['reparado']))
{ 
      
    $gar_id=limpiar($_POST['gar_id']);
    $fecha=limpiar($_POST['fecha']);
    $observaciones=mb_strtoupper(limpiar($_POST['observaciones']));

    $sql=mysqli_query($con,"UPDATE garantias Set
                            gar_fecha_entrega='$fecha',                    
                            obser_entrega='$observaciones',
                            gar_estado ='Reparado'
                            Where gar_id='$gar_id'") or  die(mysqli_error($con)); 

    echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Garantia!</strong> Reparada correctamente.
    </div>';
} 

if(!empty($_POST['singarantia']) and !empty($_POST['singarantia']))
{ 
      
    $gar_id=limpiar($_POST['gar_id']);
    $fecha=date('Y-m-d H:i:s');
    $observaciones=mb_strtoupper(limpiar($_POST['observaciones']));

    $sql=mysqli_query($con,"UPDATE garantias Set
                            gar_fecha_entrega='$fecha',                    
                            obser_entrega='$observaciones',
                            gar_estado ='Rechazada'
                            Where gar_id='$gar_id'") or  die(mysqli_error($con)); 

    echo '<div class="alert alert-success alert-dismissable">
    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
    <strong>Garantia!</strong> Reparada correctamente.
    </div>';
} 
if(!empty($_POST['cambio']))
    { 
        $gar_id=limpiar($_POST['gar_id']);
        $fecha=date('Y-m-d H:i:s');
        $gar_art_id=limpiar($_POST['gar_art_id']);
        $gar_ven_id=limpiar($_POST['gar_ven_id']);
        $gar_referencia=mb_strtoupper(limpiar($_POST['gar_referencia']));
        $observaciones=mb_strtoupper(limpiar($_POST['observaciones']));
     

        $sql=mysqli_query($con,"UPDATE garantias Set
                                gar_fecha_entrega='$fecha',                    
                                obser_entrega='$observaciones',
                                gar_estado ='Cambiado'
                                Where gar_id='$gar_id'") or  die(mysqli_error($con)); 

       /* $can7=mysqli_query($con,"SELECT * FROM articulos_has_bodegas WHERE articulos_art_id='$gar_art_id'  and bodegas='$bod_id' and  empresa='$empresa'") or die(mysqli_error($con));  
               $dato=mysqli_fetch_array($can7);
                    $art_cantidad=$dato['art_cantidad'];
                    $resta=$art_cantidad-1;
        $registros=mysqli_query($con,"UPDATE articulos_has_bodegas Set art_cantidad='$resta' Where articulos_art_id='$gar_art_id' and bodegas='$bod_id' and  empresa='$empresa'") or die(mysqli_error($con));*/
        $fecha=date('Y-m-d');

        if(!empty($_POST['serial']))
        {
            $number = count($_POST["serial"]);  
            for ($i = 0; $i < $number; $i++) {
                if (trim($_POST["serial"][$i]) != '') {
                    $dato1 = $_POST["serial"][$i];
                    $gar_serie=mb_strtoupper(trim(limpiar($_POST['gar_serie'])));

                    $sqlg = mysqli_query($con,"SELECT * from seriales_articulos where articulos_art_id='$gar_art_id' and se_codigo='$gar_serie' and estado='vendido' ORDER BY se_id DESC LIMIT 1");
                    $reg=mysqli_fetch_array($sqlg);
                    $se_id=$reg['se_id'];

                    $sewr = mysqli_query($con, "UPDATE seriales_articulos SET estado='sin vender' WHERE se_id='$se_id' and articulos_art_id='$gar_art_id' ") or die(mysqli_error($con)); 


                    $registros = mysqli_query($con, "UPDATE seriales_articulos SET estado='garantia' WHERE articulos_art_id='$gar_art_id' AND se_codigo='$dato1'") or die(mysqli_error($con)); 

                    $can8 = mysqli_query($con, "INSERT INTO garantia_serial (gs_art_id, gs_serial, gs_fecha, gs_gar_id, gs_ven_id) VALUES ('$gar_art_id', '$dato1', '$fecha', '$gar_id', '$gar_ven_id')") or die(mysqli_error($con)); 
                }
            }
        }                  

        echo '<div class="alert alert-success alert-dismissable">
                <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
                <strong>Se a hecho el cambio correctamente.</strong>
                </div>';
    }
if(!empty($_POST['nota']) and !empty($_POST['nota']))
    {      
        $gar_id=limpiar($_POST['gar_id']);
        $clie_id=limpiar($_POST['clie_id']);
        $gar_precio=limpiar($_POST['gar_precio']);
        $fecha=date('Y-m-d H:i:s');
        $observaciones=mb_strtoupper(limpiar($_POST['observaciones']));

        $can=mysqli_query($con,"SELECT * FROM cliente where clie_id='$clie_id' and empresa='$empresa'") or die(mysqli_error($con)); 
        $dato=mysqli_fetch_array($can); 
        $clie_nota_credito=$dato['clie_nota_credito'];
        $nota_final=$clie_nota_credito+$gar_precio;

        $sql=mysqli_query($con,"UPDATE cliente Set
                               clie_nota_credito ='$nota_final'
                                Where clie_id='$clie_id'") or  die(mysqli_error($con));

        $sql=mysqli_query($con,"UPDATE garantias Set
                                gar_fecha_entrega='$fecha',                    
                                obser_entrega='$observaciones',
                                gar_estado ='Nota Credito'
                                Where gar_id='$gar_id'") or  die(mysqli_error($con)); 

        echo '<div class="alert alert-success alert-dismissable">
        <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
        <strong>Notacredito registrado correctamente.</strong>
        </div>';
    } 
?>